Bug 74704 - Kernel re-prioritizing X (ioperm?)..
Kernel re-prioritizing X (ioperm?)..
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-30 21:04 EDT by Ali-Reza Anghaie
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 15:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2002-09-30 21:04:30 EDT
Description of Problem:   
   
The default kernel automagically nices X to -10. Why is the kernel futzing   
with userland process priorities? 
 
Version-Release number of selected component (if applicable):   
   
kernel-2.4.18-14   
XFree86-4.2.0-72   
   
How Reproducible:   
 
Always.  
 
Steps to Reproduce:   
1. Start X. Or boot into runlevel 5.  
2. ps -efl |grep X  or  top  
3. Cock head sideways at the X process priority. 
   
Actual Results:   
  
X is niced -10.  
   
Expected Results:   
   
X should be regular priority unless launched otherwise.  
  
Additional Information:   
  
I think it's much more sane to prioritize X by start-up scripts instead of  
handling it via the kernel. I really don't think the kernel should molest  
userland priorities as such. 
 
Setting to low/high as I think it's a low priority but it's a severe mistake 
IMO. 
 
Cheers, -Ali

Note You need to log in before you can comment on or make changes to this bug.